// -------------------------------------------------------------
// config.h
//
// Configuration #defines and constants

#define CFG_SERIAL // use serial I/O for monitoring / debugging?
#define CFG_I2C    // send to the vga boards

//#define CFG_MIRRORED //  mirrored output

//#define MACHINE_MONITORS_PER_BOARD 6  // The nr of monitors per vga control board
//#define MACHINE_N   40                // The number of monitors
//#define MACHINE_NUM_BOARDS 7          // Number of boards; MUST match ceil(N / (monitors per board)) !!

#define MACHINE_MONITORS_PER_BOARD 8  // The nr of monitors per vga control board
#define MACHINE_N   64                // The number of monitors
#define MACHINE_NUM_BOARDS 8          // Number of boards; MUST match ceil(N / (monitors per board)) !!

#define I2C_DELAY 20

// look up bill spinhoven! (willem)
