// -------------------------------------------------------------
// machine.h
//

#ifndef MACHINE_H
#define MACHINE_H

#include "config.h"

extern char _machine[MACHINE_N];      // The machine state
extern char _machine_dirty;          //  The "dirty" flag


#ifdef SIMULATOR
#include <stdio.h>
#endif

// returns the position of the last character printed.
int machine_set(int x, int l, const char *data);

void machine_set_nowrap(int x, int l, const char *data);
void machine_sync ();
void machine_clear ();

#endif

