#!/usr/bin/env python

from btg import text, grid
import sys, math

try:
    prog, font, folder = sys.argv
except Exception:
    print "Usage: %s <fontfile> <folder>" % sys.argv[0]
    exit()

width = 10

fnt = text.Font(font)

h = fnt.height()
w = int(math.ceil(4 * fnt.height()/3.0))

g = grid.Grid(w, h)
print w,h
offset = int(w/2.0 - fnt.width()/2.0)

print offset
for letter in fnt.raw_data().keys():
    g.clear()
    fnt.render(g, letter, (offset,0))
    #g.invert()
    g.to_file("%s/%03d.png" % (folder, ord(letter)), width, (0,0,0),(255,255,255))
    #$print letter

print "OK", len(fnt.raw_data().keys())
