
;;; These pixels are meant to render 5 pixels wide, centered in the
;;; middle, for the letter display.
	
;;; 130 instructions for the data, but we need 5 pixels of 65px wide
;;; 640/130 * 65 = 13 instructions per pixel
;;; 130-(5*13) = 65, so we need 33 black on one side, 32 black on the other.

;;; 33 padding instructions go here
        MOVLW   6              ;6*5 = 30
        MOVWF   hloop           ; + these: 30+2 = 32
_px_inner1
	NOP
        NOP
        DECFSZ  hloop,F
        GOTO    _px_inner1          ; Inner loop = 5 usec.
	NOP
	
;;; start pixel p0
	BTFSC	dataline, 0
	GOTO _data_set_p0
	GOTO _data_clr_p0

_data_set_p0:
	NOP
	BSF	P_GREEN
	GOTO _nxt_p0
_data_clr_p0:
	BCF	P_GREEN
	GOTO _nxt_p0	
_nxt_p0:
	;; the stuff above took 7 instructions; we need to add (13-7)=6 more
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP

;;; start pixel p1
	BTFSC	dataline, 1
	GOTO _data_set_p1
	GOTO _data_clr_p1

_data_set_p1:
	NOP
	BSF	P_GREEN
	GOTO _nxt_p1
_data_clr_p1:
	BCF	P_GREEN
	GOTO _nxt_p1	
_nxt_p1:
	;; the stuff above took 7 instructions; we need to add (13-7)=6 more
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP

;;; start pixel p2
	BTFSC	dataline, 2
	GOTO _data_set_p2
	GOTO _data_clr_p2

_data_set_p2:
	NOP
	BSF	P_GREEN
	GOTO _nxt_p2
_data_clr_p2:
	BCF	P_GREEN
	GOTO _nxt_p2	
_nxt_p2:
	;; the stuff above took 7 instructions; we need to add (13-7)=6 more
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP

;;; start pixel p3
	BTFSC	dataline, 3
	GOTO _data_set_p3
	GOTO _data_clr_p3

_data_set_p3:
	NOP
	BSF	P_GREEN
	GOTO _nxt_p3
_data_clr_p3:
	BCF	P_GREEN
	GOTO _nxt_p3	
_nxt_p3:
	;; the stuff above took 7 instructions; we need to add (13-7)=6 more
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP

;;; start pixel p4
	BTFSC	dataline, 4
	GOTO _data_set_p4
	GOTO _data_clr_p4

_data_set_p4:
	NOP
	BSF	P_GREEN
	GOTO _nxt_p4
_data_clr_p4:
	BCF	P_GREEN
	GOTO _nxt_p4	
_nxt_p4:
	;; the stuff above took 7 instructions; we need to add (13-7)=6 more
	NOP
	NOP
	NOP

	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	BCF	P_GREEN
        MOVLW   5              ;6*5 = 30
        MOVWF   hloop           ; + these: 30+2 = 32
	NOP

;;; 32 padding instructions go here
_px_inner2
	NOP
        NOP
        DECFSZ  hloop,F
        GOTO    _px_inner2          ; Inner loop = 5 usec.

	