#!/usr/bin/env python

import serial, sys

s = serial.Serial('/dev/ttyUSB0', timeout=0, baudrate=115200)
s.open()
#print s

try:
    prog, cmd = sys.argv
except ValueError:
    print "Usage: eeprom.py (read|write)"
    print
    exit()
    
if sys.argv[1] == "read":
    s.write(chr(254))
    s.flush()

elif sys.argv[1] == "write":

    data = sys.stdin.read()
    print "Will write %d bytes." % len(data)
    
    s.write(chr(255))
    import time
    for ch in data:
        s.write(ch)
        time.sleep(0.005)
        
    s.flush()
    s.write(chr(0)) # mark end of data
    s.flush()


#for x in range(10):
#    print s.readline()

s.close()
#x
exit()
