#!/usr/bin/env python
#
# Read/write EEPROM chips, using own protocol. On the arduino, the
# eeprom.pde applet needs to be there. Output will be on the serial
# port; use the arduino serial monitor to watch it.
#

import serial, sys, glob

s = serial.Serial(glob.glob('/dev/ttyUSB*')[-1], timeout=0, baudrate=115200)
s.open()
#print s


try:
    cmd = sys.argv[1]
except ValueError:
    print "Usage: eeprom.py (read|write)"
    print
    exit()

    
if sys.argv[1] == "read":
    s.write(chr(254))
    s.flush()

elif sys.argv[1] == "write":

    data = sys.stdin.read()
    print "Will write %d bytes." % len(data)
    
    s.write(chr(255))
    
    import time
    for ch in data:
        s.write(ch)
        time.sleep(0.005)
        
    s.flush()
    s.write(chr(0)) # mark end of data
    s.flush()


#for x in range(10):
#    print s.readline()

s.close()
#x
exit()
